import versavant, sys

tmName = "Jacks Topic Map"
tmDesc = "Reifies everything in sight about Joe."

#######################################################
def main():
    vsv = versavant.Versavant( suppressLicenseMessage=True)
    vsv.newTopicMap( tmName, tmDesc)

    vsv.loadTMA( tmName, 'BigAssert', '${VSVEXECDIR}/Lib/BIGASSERT/tmaconf.xml')
    vsv.loadTMA( tmName, 'Roles',     '${VSVEXECDIR}/Lib/ROLENAME/tmaconf.xml')
    vsv.loadTMA( tmName, 'JacksTMA',     'JacksTMA/tmaconf.xml')

    OPT = vsv.registerOriginalPopulationTask( tmName, 'opt.py',
	    'OPTJoeStuff', 'OPTJoeStuff', 'just fooling around')

    vsv.populate( OPT)

    print "\nBEFORE MERGING:"

    print vsv.showLiveNonSystemProxies( tmName)

    vsv.merge( tmName)

    print "\nAFTER MERGING:"
    print vsv.showLiveNonSystemProxies( tmName)

    vsv.inspect( showProxies='livingNonSystem', topicMapName = tmName, showThumbnails=True, showSamples=True)

#######################################################
if __name__ == "__main__":
    ## If this script has been invoked directly, as opposed to being
    ## imported by another script...

    main()  ## ...execute function main()
    ## (This is a Python convention.)

